Switch to TCPDF from FPDF for PDF export

2011-05-06 16:06 - Jun NAITOH

Status: Closed Start date: 2011-05-06

Priority: Normal Due date:  

Assignee: Toshi MARUYAMA % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version: 1.2.0   

Description

This patch switches to TCPDF from FPDF in Japanese/Chinese/Korean (Thai) PDF.

I am expecting the following things by this patch.

Improvement of maintainability

Improvement of compatibility for Redmine plug-in

new TCPDF API (writeHTML/writeHTMLCell)

Before

general_pdf_encodi

ng

Class Font name Font type Support locales

Not UTF-8 FPDF UHC,SJIS, GB,

Big5, Helvetica

Non embedded ja,ko,zh, zh-TW FreeSans doesn't

support

Japanese/Chinese/

Korean/Thai

characters

UTF-8 TCPDF FreeSans Embedded Others Helvetica doesn't

support Cyrillic

After

general_pdf_encodi

ng

Class Font name Font type Support locales

Not UTF-8 TCPDF UHC,SJIS, GB,

Big5, Helvetica

Non embedded ja,ko,zh, zh-TW FreeSans doesn't

support

Japanese/Chinese/

Korean/Thai

characters

UTF-8 TCPDF FreeSans Embedded Others Helvetica doesn't

support Cyrillic

Related issues:

Related to Redmine - Defect #61: Broken character encoding in pdf export Closed

Related to Redmine - Defect #8566: Exported PDF UTF-8 Vietnamese not correct Closed 2011-06-08

Associated revisions

Revision 5713 - 2011-05-09 08:44 - Toshi MARUYAMA

PDF: move fix_text_encoding() logic to new method for common use in FPDF and TCPDF (#61, #8312).

Revision 5715 - 2011-05-09 08:45 - Toshi MARUYAMA

PDF: replace invalid sequence in converting if encoding destination is UTF-8 (#61, #8312).

Revision 5716 - 2011-05-09 08:46 - Toshi MARUYAMA

PDF: replace invalid UTF-8 sequences in TCPDF (#61, #8312).

2025-05-17 1/2



There is no guarantees that database strings are valid UTF-8 in Ruby 1.8 MySQL and SQLite3.

Revision 5717 - 2011-05-09 09:35 - Toshi MARUYAMA

PDF: import tcpdf.rb patch (#8312).

Contributed Jun NAITOH.

Revision 5718 - 2011-05-09 12:41 - Toshi MARUYAMA

PDF: switch encoding and font whether CJK and Thainland non UTF-8 or not in TCPDF Redmine class (#8312).

Contributed Jun NAITOH.

Revision 5720 - 2011-05-09 13:12 - Toshi MARUYAMA

PDF: import CJK patches and all languages use TCPDF (#8312).

Contributed Jun NAITOH.

Revision 5721 - 2011-05-09 13:12 - Toshi MARUYAMA

PDF: remove unused Redmine FPDF class (#8312).

Revision 5723 - 2011-05-10 03:03 - Toshi MARUYAMA

PDF: more strict Redmine TCPDF class initialize() (#8312).

Revision 7785 - 2011-11-12 12:16 - Toshi MARUYAMA

pdf: remove unused "require 'rfpdf/fpdf'" (#8312)

History

#1 - 2011-05-06 17:11 - Toshi MARUYAMA

- Assignee set to Toshi MARUYAMA

#2 - 2011-05-09 13:34 - Toshi MARUYAMA

- Status changed from New to Closed

- Target version set to 1.2.0

Committed in r5721, thanks.
